#include "keymap_common.h"

const uint8_t PROGMEM keymaps[][MATRIX_ROWS][MATRIX_COLS] = {
	KEYMAP(ESC,  1,    2,    3,   4,   5,   6,   7,    8,    9,    0, MINS,   EQL, BSPC,   INS, HOME, \
           TAB,  Q,    W,    E,   R,   T,   Y,   U,    I,    O,    P, LBRC,  RBRC, BSLS,   DEL, END,  \
           CAPS, A,    S,    D,   F,   G,   H,   J,    K,    L, SCLN, QUOT,         ENT,              \
           LSFT,    Z,    X,    C,   V,   B,   N,   M, COMM,  DOT, SLSH,           RSFT,    UP,        \
           LCTL, LGUI, LALT,         SPC,                    RALT,  FN0,     RCTL,  LEFT, DOWN, RIGHT),
	
	/* 1: FN 1 */
    KEYMAP(GRAVE,   F1,   F2,   F3,   F4,   F5,   F6,   F7,   F8,   F9,   F10,   F11,   F12, TRNS, MEDIA_PLAY_PAUSE, MEDIA_NEXT_TRACK, \
            TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, TRNS,  PSCR,  SLCK, PAUSE, TRNS,       MEDIA_STOP, MEDIA_PREV_TRACK, \
            TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, TRNS,  TRNS,  TRNS,        TRNS,                                     \
            TRNS, TRNS, CALC, TRNS, TRNS, TRNS, TRNS, TRNS, TRNS, TRNS,  TRNS,               TRNS,             PGUP,                   \
            TRNS, TRNS, TRNS,             TRNS,             TRNS, TRNS,         TRNS,        VOLU,             PGDN,            VOLD),

};

const action_t PROGMEM fn_actions[] = {
//    [0] = ACTION_LAYER_MOMENTARY(4),
//const uint16_t PROGMEM fn_actions[] = {
	[0] = ACTION_LAYER_MOMENTARY(1),
};